Name: H5Tget_member_name
Signature:
  char * `H5Tget_member_name`(hid_t `type_id`, unsigned `field_idx` )
Purpose:
  Retrieves the name of a compound or enumeration datatype member.
Description:
  `H5Tget_member_name` retrieves the name of a field of a compound datatype or an element of an enumeration datatype.

  The index of the target field or element is specified in `field_idx`. Compound datatype fields and enumeration datatype elements are stored in no particular order with index values of 0 through N-1, where N is the value returned by `H5Tget_nmembers`.

  A buffer to receive the name of the field is allocated with `malloc()` and the caller is responsible for freeing the memory used.

Parameters:

hid_t `type_id` | Identifier of datatype to query.
unsigned `field_idx` | Zero-based index of the field or element whose name is to be retrieved.

Returns:
  Returns a valid pointer to a string allocated with `malloc()` if successful; otherwise returns NULL.
Fortran90 Interface: h5tget_member_name_f

      SUBROUTINE h5tget_member_name_f(type_id,index, member_name,  namelen, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id        ! Datatype identifier
        INTEGER, INTENT(IN) :: index                 ! Field index (0-based) of
                                                     ! the field name to retrieve
        CHARACTER(LEN=*), INTENT(OUT) :: member_name ! Name of a field of
                                                     ! a compound datatype
        INTEGER, INTENT(OUT) :: namelen              ! Length of the name
        INTEGER, INTENT(OUT) :: hdferr               ! Error code
      END SUBROUTINE h5tget_member_name_f

History:

Release | C
1.6.4 | `membno` parameter type changed to unsigned.